Subject: RE: draft-ietf-ip1394-dhcp-01.txt

From: "Hattig, Myron" <[email-masked]>
Date: Fri, 2 Jul 1999 21:30:40 -0400 (EDT)

Sorry, I missed the previous discussion on the DHCP list. 
I got on the list after the discussion ended. I'll be in the
DHCP meeting at Oslo and ready to talk then. As far as 
leading the discussion we, can just play it by ear.

Thanks,

-myron

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, June 23, 1999 6:50 PM
> To: Multiple recipients of list
> Cc: [email-masked]
> Subject: Re: draft-ietf-ip1394-dhcp-01.txt 
> 
> 
> 
> Dear all,
> 
> Thank you for your review and comments.
> 
> Barr said:
> >first, there is an obvious typo that should be corrected:  
> in the discussion
> >about header fields, htype is specified to be 27 (ARPPARAM), but in
> >discussion of the client identifier, the type octet is given as 24
> >(ARPPARAM).  Which is correct?
> 
> As you can see in [ARPPARAM], both values are correct.
> 	htype			IEEE1394	24
> 	client ID type		EUI-64		27
> 
> Since EUI-64 does not mean IEEE1394, we can use EUI-64 on some other
> datalinks. We discussed this issue in Chicago IETF42.
> 
> http://www.ietf.org/proceedings/98aug/98aug-60.htm
> :The only technical change for a new EUI-64 Hardware 
> :Type requires a number to be allocated by IANA. 
> 
> 
> 
> _MelloN_ said:
> >BTW, is 1394 == firewire?
> 
> Yes, 1394 == firewire == i.LINK
> 
> 
> Mike Carney said:
> >I too think that this should be
> >a joint DHCP/1394 effort. (is the 1394 WG in agreement?)
> 
> Yes.
> :Once complete, the "DHCP Extensions for IP/1394" draft will be
> :submitted for review by the DHCP WG with the intention of our WG
> :producing an informational RFC.
> 
> 
> >One question I have is: What does a 1394 topology look like? How many
> >devices does one typically connect to a bus?
> 
> The link-address of 1394 is node_ID. It has 10bit busID portion
> and 6bit PhyID portion. So, single 1394-bus can have upto 63 nodes.
> But 10 or 16 will be a typical maximum number due to arbitration
> overhead.
> 
> >The draft mentions a bridge,
> >which seems to suggest you could have quite a few devices.
> 
> The 1394 bus bridge is discussed in IEEE P1394.1 Working Group,
> the detail of the bus bridge has not been fixed yet.
> 1394 bus bridge devides arbitration domain and connects two 
> 1394 buses.
> Since the busID is 10bit, upto 1023 buses can be connected 
> theoretically,
> but nobody believes it is possible in reality.
> 
> 1394 bus bridge WILL do some node_ID (busID+phyID) mapping, it means
> that link address of node-A may be different for node-B and node-C.
> 
> 	-+-------+-----Bridge------+--------
>          A       B                 C
> 
> >Using the
> >limited broadcast address for replies is typically something we try
> >to avoid, particularly when there's lots of nodes that could 
> be affected.
> 
> Yes. The use of broadcast reply is a compromise to handle the link
> address mapping by the 1394 bus bridge.
> 
> 
> Best Regards,
> 
> Kenji Fujisawa
>